LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 01-17-2006, 02:51 PM   #1
BobNutfield
Senior Member
 
Registered: Dec 2005
Location: United Kingdom
Distribution: Fedora , Ubuntu, Slackware-Current
Posts: 1,477

Rep: Reputation: 51
Can't find libc.s0.6(GLIBC_2.4)


In my ongoing saga of trying to fix a bug after installing KDE 3.5 and the 2.6.14 kernel, I have finally been able to install the source RPM for kbd-1.12-12.1. However, this did not fix the problem. I still cannot resolve the setfont: error at boot or install any graphical login photos. I also cannot restart x after text mode. I can get X fine at boot, but I still get the setfont errors. I know libc.so.6 is installed and I have been told that GLIBC_2.4 is still in development.

Anyone know any solutions? Any googling for this file just leads me to glibc-2.3.93, not the file I need.

Thanks
Bob
 
Old 01-17-2006, 04:13 PM   #2
halvy
Member
 
Registered: Aug 2005
Location: Boston Massachussets, USA
Distribution: Anything NOT SystemD (ie. M$) related.
Posts: 917

Rep: Reputation: 41
if your system is indexed properly.. do a search to make sure libc.s0.6 is actually in there somewhere.. or maybe because 2.4 is not installed, it won't register for some reason.

as far x not starting after leaving it, you usuelly get a message saying why.. like removeing /tmp.X0.. whatever.

or do a ps -A |more and find either x or xorg and kill it.

sometimes those don't work.. but i'm not sure why.. could be a security setting i have.

in that case, sometimes init 5 will bring me to the login screen...sometimes it doesn't depending on the sys i'm using.

good luck.
 
Old 01-17-2006, 04:25 PM   #3
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,414

Rep: Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967Reputation: 1967
run this... "strings /lib/libc.so.6 | grep GLIB" if you don't get a match for GLIBC_2.4 but plenty of results for GLIBC_2.3 etc... then you need to upgrade glibc, and as you mentioned above, this isn't in updates on FC4 yet.
 
Old 01-17-2006, 05:01 PM   #4
BobNutfield
Senior Member
 
Registered: Dec 2005
Location: United Kingdom
Distribution: Fedora , Ubuntu, Slackware-Current
Posts: 1,477

Original Poster
Rep: Reputation: 51
Thank you...you are correct. There is no GLIBC_2.4 for fedora that is available. Guess I will just have to put up with this problem until FC5 comes out probably in March. Hopefully the upgrade will have a fix for this. It really isn't that big of a deal, anyway. I am prevented from putting login photos for anyone. Other than that, most of the system works pretty well. I guess will give up on this one.

Thanks for your answers.

By the way, the string search and grepping did reveal only 2.3..

Bob
 
Old 01-17-2006, 06:58 PM   #5
halvy
Member
 
Registered: Aug 2005
Location: Boston Massachussets, USA
Distribution: Anything NOT SystemD (ie. M$) related.
Posts: 917

Rep: Reputation: 41
i saw on slashdot taday (i think) that 5 is out.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
libc.so.6(GLIBC_2.3) RPM downlaod executive Linux - Software 2 03-23-2005 04:59 PM
rpm needs libc.so.6 (glibc_2.3.4) sirius57 Linux - Software 8 11-28-2004 05:32 PM
libc.so.6(GLIBC_2.3), libc.so.6(GLIBC_2.3.2) needed for Linux 7.3.1 vivek_thampy Linux - Software 1 08-09-2004 05:12 PM
Which RPM contains libc.so.6(GLIBC_2.3) etae Linux - Software 1 09-09-2003 06:09 AM
Plz help me install libc.so.6(GLIBC_2.3)! packman Linux - Software 1 11-13-2002 10:35 AM


All times are GMT -5. The time now is 12:28 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration